ScXMLSubtractOpExprDataObj(3)

NAME
ScXMLSubtractOpExprDataObj

SYNOPSIS

Inherits ScXMLExprDataObj.

Inherited by ScXMLCoinSubtractOpExprDataObj.

  Public Member Functions
virtual SoType getTypeId (void) const
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.
ScXMLSubtractOpExprDataObj (ScXMLDataObj *lhs, ScXMLDataObj *rhs)
void setLHS (ScXMLDataObj *lhs)
const ScXMLDataObj * getLHS (void) const
void setRHS (ScXMLDataObj *rhs)
const ScXMLDataObj * getRHS (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
static void cleanClass (void)
static ScXMLDataObj * createFor (ScXMLDataObj *lhs, ScXMLDataObj *rhs)

  Protected Member Functions
virtual SbBool evaluateNow (ScXMLStateMachine *sm, ScXMLDataObj *&pointer) const

  Additional Inherited Members

Member Function Documentation

  SoType ScXMLSubtractOpExprDataObj::getTypeId (void) const [virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

See also
    SoBase::getTypeId() const

Implements ScXMLExprDataObj.

Reimplemented in ScXMLCoinSubtractOpExprDataObj.

  SbBool ScXMLSubtractOpExprDataObj::evaluateNow (ScXMLStateMachine * sm, ScXMLDataObj *& pointer) const [protected], [virtual]

Implements ScXMLExprDataObj.

Author

Generated automatically by Doxygen for Coin from the source code.